Bug 245913 - [PATCH] graphics/xaos: obsolete MASTER_SITES and USE=iconv missing
Summary: [PATCH] graphics/xaos: obsolete MASTER_SITES and USE=iconv missing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-25 17:50 UTC by Andy Mender
Modified: 2020-05-22 05:38 UTC (History)
1 user (show)

See Also:


Attachments
unified diff (1.37 KB, patch)
2020-04-25 17:50 UTC, Andy Mender
no flags Details | Diff
Fix and bump to v4.0 diff (25.89 KB, patch)
2020-05-21 00:19 UTC, Andy Mender
no flags Details | Diff
Fix and bump to v4.0 diff (25.93 KB, patch)
2020-05-21 09:59 UTC, Andy Mender
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Mender 2020-04-25 17:50:30 UTC
Created attachment 213786 [details]
unified diff

Release archives for the XaoS project were moved to GitHub as of 2020-03-15, therefore the Sourceforge URLs in MASTER_SITES are no longer valid. Also, the port links against iconv even when the NLS option is not selected.

The attached diff does the following:
- makes use of GH USES variables
- regenerates the distinfo file
- adds iconv to the global USES array

The port builds and installs correctly.
Comment 1 Hiroki Tagato freebsd_committer 2020-05-17 03:27:17 UTC
Hi,

There is a newer version (4.0) available at GitHub. Would you care to update the patch to the latest version?

Also, you can use a combination of:

DISTVERSIONPREFIX= release-
DISTVERSION=       4.0

instead of using GH_TAGNAME.
Comment 2 Andy Mender 2020-05-21 00:19:19 UTC
Created attachment 214703 [details]
Fix and bump to v4.0 diff

I had quite some setbacks with the upgrade to version 4.0, since the entire build procedure changed dramatically (it uses qmake now) and it's not documented enough to build a minimal self-contained port without tons of trial & error. I don't think forcing a dependency on the devel/qt5 metaport is a good idea...

I overhauled the OPTIONS, fixed file paths and tested the software. I hope the unified diff is acceptable in its current state.

The source code also changed from pure C to "C++" - it relies almost entirely on C semantics, but uses C++ definitions when mandatory.
Comment 3 Hiroki Tagato freebsd_committer 2020-05-21 06:05:11 UTC
(In reply to Andy Mender from comment #2)

Hi, thanks for your efforts for updating the port.

Here are some comments:

- MAINTAINER
The port currently does not have the maintainer. Would you care to take maintainership of the port?

- OPTIONS
One error from portlint:
FATAL: Makefile: OPTION TUTORIAL does not have a description (TUTORIAL_DESC).

So could you add a description for TUTORIAL OPTION?

Also, DOCS and NLS are enabled by default. So you don't have to list them in OPTIONS_DEFAULT.
Comment 4 Andy Mender 2020-05-21 09:59:02 UTC
Created attachment 214712 [details]
Fix and bump to v4.0 diff

I applied the suggested changes.

Unfortunately, I cannot take maintainership of this port, since I don't really use FreeBSD full-time anymore :(.
Comment 5 Hiroki Tagato freebsd_committer 2020-05-21 11:29:03 UTC
(In reply to Andy Mender from comment #4)

Hi, thanks for updating the patch.

I tried to build the port with poudriere and got the following error:


=======================<phase: patch          >============================
===>  Patching for xaos-4.0
===>  Applying FreeBSD patches for xaos-4.0 from /usr/ports/graphics/xaos/files
No file to patch.  Skipping...
1 out of 1 hunks ignored--saving rejects to src/engine/zoomd.c.rej
No file to patch.  Skipping...
1 out of 1 hunks ignored--saving rejects to src/engine/zoom.c.rej
===>  FAILED Applying FreeBSD patch-registers
===> FAILED to apply cleanly FreeBSD patch(es)  patch-registers
*** Error code 1


It appears the patch in the files directory seems outdated.

Can you look into this?

If the patch is not needed anymore, please just let me know.
Comment 6 Andy Mender 2020-05-21 16:03:38 UTC
Yes, the patch file is outdated, since it targeted the C version of the project.

Apologies, I think I deleted it manually from my local ports tree instead of properly removing it via SVN.
Comment 7 commit-hook freebsd_committer 2020-05-22 05:38:21 UTC
A commit references this bug:

Author: tagattie
Date: Fri May 22 05:37:41 UTC 2020
New revision: 536185
URL: https://svnweb.freebsd.org/changeset/ports/536185

Log:
  - Update to 4.0
  - Update port description
  - Update WWW

  PR:		245913
  Submitted by:	Andy Mender <andymenderunix@gmail.com>
  Approved by:	mentors (implicit)
  Changelog:	https://github.com/xaos-project/XaoS/releases/tag/release-4.0

Changes:
  head/graphics/xaos/Makefile
  head/graphics/xaos/distinfo
  head/graphics/xaos/files/
  head/graphics/xaos/pkg-descr
  head/graphics/xaos/pkg-plist
Comment 8 Hiroki Tagato freebsd_committer 2020-05-22 05:38:57 UTC
Committed, thanks!